// This class provides a list of all the packages on the current mirror
// plus any packages that have been installed, and applies a filter to
// narrow the result.
// See COPYING for license information.

#ifndef CPKGLISTER_H
#define CPKGLISTER_H

#include <iostream>
#include <vector>
#include "CParser.h"

class CPkgLister
{
public:
	CPkgLister(const std::string& filter, std::vector<std::string>& queries);
protected:
	void	reload_old_mirror();
	bool	matches_query(const std::string& name, const std::vector<std::string>& queries);
	void	display(package_map& packages, const unsigned int& cat, const unsigned int& name, const unsigned int& version);
};

#endif
